Bug 708363 - Make install does not drop a VERSION-FILE
Make install does not drop a VERSION-FILE
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 08:54 EDT by Bryan Kearney
Modified: 2011-10-28 03:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: 8462ad8d5dc8c2d9ec1ebf6234c651aa64e96579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2011-05-27 08:54:26 EDT
Pulled latest from source code. I got the stack trace below. I ran the VERSION-GEN script to get past this, putting the output into the requested directory.


zanata/flies server: https://translate.engineering.redhat.com
Traceback (most recent call last):
  File "/usr/bin/zanata", line 5, in <module>
    pkg_resources.run_script('zanata-python-client==1.2.3-24-g931b', 'zanata')
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 467, in run_script
    self.require(requires)[0].run_script(script_name, ns)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 1200, in run_script
    execfile(script_filename, namespace, namespace)
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/EGG-INFO/scripts/zanata", line 24, in <module>
    zanata.run()
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/zanata.py", line 953, in run
    program_name=os.path.split(sys.argv[0])[1],
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/command.py", line 310, in handle_program
    command(command_options, args)
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/zanata.py", line 809, in publican_push
    push(command_options, args, "publican")
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/zanata.py", line 850, in push
    get_version(url)
  File "/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/zanata.py", line 335, in get_version
    version = open(version_file, 'rb')
IOError: [Errno 2] No such file or directory: '/usr/lib/python2.7/site-packages/zanata_python_client-1.2.3_24_g931b-py2.7.egg/zanataclient/VERSION-FILE'
Comment 1 James Ni 2011-05-30 05:44:10 EDT
Hi Bryan,

Thanks for you comment.
I have modify the source code:
1) Using 'make install' to generate and copy the VERSION-FILE to '/usr/lib'
2) Add a warning to user and display client version 'UNKNOWN', if VERSION-FILE is missing

you can check out the latest version 7974e1c on git-hub to see if the changes meet you requirement. 

Best Regards
James
Comment 2 Ding-Yi Chen 2011-06-01 21:28:27 EDT
James,

Wouldn't it will be better the VERSION-FILE is available when "make all" (and "make" along.

After "make", it is expected that every essential files for execution are ready at least for the user who "make" it. Then "make install" for install it to system directory for all users.

Regards,
Comment 3 Ding-Yi Chen 2011-07-27 21:43:44 EDT
VERIFIED with commit 8462ad8d5dc8c2d9ec1ebf6234c651aa64e96579


Note that the VERSION-FILE is actually generated with "make", which is depended by "make install"

Note You need to log in before you can comment on or make changes to this bug.